SystemInformation.prototype._ShowSystemInformationUi_ = function() 
{
	SystemInformation.prototype._InitialSystemInformationUiValue_();
	SystemInformation.prototype._SetSystemInformation_();
}

SystemInformation.prototype._InitialSystemInformationUiValue_ = function() 
{
	var ssocket = io.connect();
	var Text = $("#Main_Top-SystemInformation").find(".SystemInformationText");
	ssocket.emit('GetSystemInformation');
	ssocket.on("GetSystemInformation", function (Return) {
		var CPUUsage = Return[0];
		var MEMUsage = Return[1];
		var SdCardUsageRate = Return[2];
		MEMUsage = parseFloat(MEMUsage);
		MEMUsage = parseFloat(MEMUsage.toFixed(2));
		Text.eq(0).val(CPUUsage+"%");
		Text.eq(1).val(MEMUsage+"%");
		Text.eq(2).val(SdCardUsageRate);
	});
}

SystemInformation.prototype._SetSystemInformation_ = function() 
{
	var ssocket = io.connect();
	var Text = $("#Main_Top-SystemInformation").find(".SystemInformationText");
	
	var TimeSetInterval = setInterval(function(){
		ssocket.emit('GetSystemInformation');
		ssocket.on("GetSystemInformation", function (Return) {
			var CPUUsage = Return[0];
			var MEMUsage = Return[1];
			var SdCardUsageRate = Return[2];
			MEMUsage = parseFloat(MEMUsage);
			MEMUsage = parseFloat(MEMUsage.toFixed(2));
			Text.eq(0).val(CPUUsage+"%");
			Text.eq(1).val(MEMUsage+"%");
			Text.eq(2).val(SdCardUsageRate);
		});
	}, 5000);
}